/*------------general CSS for ALL Cypher pages below here-------------*/
html{
  height: 100%;
}

body {
  position: relative;
  padding-top:60px;
  height: 100%;
  margin: 0;
  min-height: 100vh;
  background-size: cover;
  font-family: Arial;
  min-width: 600px;
}

div.bigOlContainer{
    padding-bottom: 40px;
}

@keyframes jumpIn {
    0% { margin: 1300px auto;
         opacity: 0;}
  100% { margin: 0px auto;
         opacity: 1;}
}

textarea {
  box-sizing: border-box;
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  border: none;
  width: 100%;
  height: 190px;
  text-align: justify;
  margin: 0 auto;
  display: block;
  padding: 5px 15px;
  font-size: 20px;
  text-align: center;
  resize: none;
}

::-webkit-input-placeholder {
  color: black;
  opacity: 0.2;
  font-size: 20px;
  text-align: center;
}

textarea:focus {
  outline: none;
  font-size: 20px;
  text-align: center;
}

h1{
  width: 100%;
  margin: 20px auto;
  text-align: center;
  font-weight: bold;
  font-size: 65px;
}

h2{
  width: 100%;
  text-align: center;
  margin: 20px auto;
  font-size: 28px;
}

h3 {
  font-size: 20px;
  margin: 3px 0;
}

p{
  font-size: 16px;
}

div.shortInfo span {
  width: 100%;
  display: inline-block;
  line-height: 35px;
  text-align: center;
  font-size: 20px;
}

div.shortInfo p{
  margin: 9px 0;
}

.container {
  animation: jumpIn 0.8s;
  width: 70%;
  min-width: 650px;
  max-width: 1000px;
  margin: 0 auto 60px auto;

}

.shortInfo{
  color: white;
  padding:10px 15px;
  margin-bottom: 15px;
}

.containerBttm{
  margin-bottom: 15px;
}

.containerAbout{
  text-align: center;
  text-transform: uppercase;
}

div.containerAbout span{
  display: inline-block;
  margin: 5px 0;
}

.infoInvisible{
  display: none;
}

.dimArrow{
  color: rgba(255,255,255, 0.4);
}

.backshadow{
  box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.1), 0px 0px 30px rgba(0, 0, 0, 0.15);
}

#lBox1Head{
  text-transform: uppercase;
  text-align: center;
  letter-spacing: 2px;
}
#lBox2Head{
  text-transform: uppercase;
  text-align: center;
  letter-spacing: 2px;
}

#middleIconContainer{
  box-sizing: border-box;
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  color: white;
  font-size: 30px;
  font-weight: bold;
  display: inline-block;
  width: 12.5%;
  height: 219px;
  text-align: center;
  vertical-align: top;
}

#toCypher{
  margin-top: 69px;
  transition: color 0.7s;
}

#toPlaintext{
  transition: color 0.7s;
}

#langBox1 {
  box-sizing: border-box;
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  width: 43%;
  display: inline-block;
  vertical-align: top;
}

#langBox2 {
  box-sizing: border-box;
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  width: 43%;
  float: right;
  display: inline-block;
  vertical-align: top;
}

#moreAboutCypher{
  transition: all 0.5s;
}

#moreAboutCypher:hover{
  cursor: pointer;
}

#moreAboutElab{
  text-transform: none;
  background-color: white;
  padding: 10px 15px;
  text-align: left;
  text-align: justify;
}
